Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

PERL POST_MAX

 
Highlighted
Peter Barkas
Regular Advisor

PERL POST_MAX

I am trying to use CGI POST_MAX to prevent excessive file uploads.

If the maximum is exceeded it seems to result in a hang.

A brief perusal of CGI.PM reveals that it is Version 3.05 and it seems that there are changes that address the use of POST_MAX in versions up to 3.21.

Two questions.

1. Can one apply changes to CGI.PM simply by using the editor or is there a more involved process?

2. Is there a prospect of an HP supported update to PERL/CSWS PERL?
3 REPLIES 3
Martin P.J. Zinser
Honored Contributor

Re: PERL POST_MAX

The easiest most probably is to download the current versoin of the CGI module from CPAN,
unpack, perl Makefile.PL, mms/mmk, mms/mmk test, mms/mmk install.

If you realy want to, yes, PM is just another text file.
Craig A Berry
Honored Contributor

Re: PERL POST_MAX

In case you don't know what CPAN is, you can follow Martin's suggestion by getting the latest version of the module here:

http://search.cpan.org/~lds/CGI.pm-3.42/

Since it's a pure-Perl module, you don't even need a C compiler to build and install it. I would certainly recommend testing whether it solves your problem before rolling it out in a production environment.

As far as your question #2, only HP can answer that. If you have a support contract, you might log a call regarding your current problem and see if they give you any update plans. VMS-specific development work on Perl continues steadily, but it's been some years since HP availed themselves of it.
Peter Barkas
Regular Advisor

Re: PERL POST_MAX

Thank you both for the responses.

I did know where to go to do my own thing, but, obviously, I would prefer to get a supported fix. However, I will see if we can get a response from Digital^h^h^h^h^h^h^hCompaq^h^h^h^h^h^hHP regarding an update for CSWS PERL.